Search for __get

  1. Search 7.x for __get
  2. Search 9.5.x for __get
  3. Search 8.9.x for __get
  4. Search 10.3.x for __get
  5. Search 11.x for __get
  6. Other projects
Title Object type File name Summary
RecipeMultipleModulesConfigStorageTest class core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php Tests RecipeMultipleModulesConfigStorage.
RecipeMultipleModulesConfigStorageTest.php file core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php
RecipeMultipleModulesConfigStorageTest::$extensionList property core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php The mocked module extension list.
RecipeMultipleModulesConfigStorageTest::setUp function core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php
RecipeMultipleModulesConfigStorageTest::testCreateCollection function core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php Tests createCollection() returns a new instance with the given collection.
RecipeMultipleModulesConfigStorageTest::testCreateCollectionReadsFromSubdirectories function core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php Tests createCollection() reads from collection subdirectories.
RecipeMultipleModulesConfigStorageTest::testCreateFromModuleListEmpty function core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php Tests createFromModuleList() throws when given an empty module list.
RecipeMultipleModulesConfigStorageTest::testDecode function core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php Tests decode().
RecipeMultipleModulesConfigStorageTest::testEncode function core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php Tests encode() delegates to underlying FileStorage.
RecipeMultipleModulesConfigStorageTest::testExists function core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php Tests exists() returns TRUE when config is in any directory.
RecipeMultipleModulesConfigStorageTest::testGetAllCollectionNames function core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php Tests getAllCollectionNames() merges and deduplicates from all directories.
RecipeMultipleModulesConfigStorageTest::testGetAllCollectionNamesEmpty function core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php Tests getAllCollectionNames() returns empty when no collections exist.
RecipeMultipleModulesConfigStorageTest::testGetCollectionNameDefault function core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php Tests getCollectionName() returns the default collection.
RecipeMultipleModulesConfigStorageTest::testListAll function core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php Tests listAll() merges results from all directories.
RecipeMultipleModulesConfigStorageTest::testListAllWithPrefix function core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php Tests listAll() with a prefix filter.
RecipeMultipleModulesConfigStorageTest::testRead function core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php Tests read() returns from the first directory that has the config.
RecipeMultipleModulesConfigStorageTest::testReadMultiple function core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php Tests readMultiple() reads from across all directories.
RecipeMultipleModulesConfigStorageTest::testReadMultipleEmpty function core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php Tests readMultiple() with an empty names array.
RecipeMultipleModulesConfigStorageTest::testReadSafety function core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php Tests read() safety: only read from the correct storage.
RecipeMultipleModulesConfigStorageTest::testSimilarModuleNameIsolation function core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php Tests that modules with similar name prefixes are correctly isolated.
RecipeMultipleModulesConfigStorageTest::testUnsupportedMethods function core/tests/Drupal/Tests/Core/Recipe/RecipeMultipleModulesConfigStorageTest.php Tests that write operations throw BadMethodCallException.
RecipeOverrideConfigStorage::getAllCollectionNames function core/lib/Drupal/Core/Recipe/RecipeOverrideConfigStorage.php
RecipeOverrideConfigStorage::getCollectionName function core/lib/Drupal/Core/Recipe/RecipeOverrideConfigStorage.php
Rectangle::getBoundingHeight function core/lib/Drupal/Component/Utility/Rectangle.php Gets the bounding height of the rectangle.
Rectangle::getBoundingWidth function core/lib/Drupal/Component/Utility/Rectangle.php Gets the bounding width of the rectangle.
RecursiveContextualValidator::getViolations function core/lib/Drupal/Core/TypedData/Validation/RecursiveContextualValidator.php
RecursiveValidator::getMetadataFor function core/lib/Drupal/Core/TypedData/Validation/RecursiveValidator.php
RedirectBlockForm::getFormId function core/modules/system/tests/modules/form_test/src/Form/RedirectBlockForm.php Returns a unique string identifying the form.
RedirectDestination::get function core/lib/Drupal/Core/Routing/RedirectDestination.php
RedirectDestination::getAsArray function core/lib/Drupal/Core/Routing/RedirectDestination.php
RedirectDestinationInterface::get function core/lib/Drupal/Core/Routing/RedirectDestinationInterface.php Gets the destination as a path.
RedirectDestinationInterface::getAsArray function core/lib/Drupal/Core/Routing/RedirectDestinationInterface.php Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url.
RedirectDestinationTest::providerGet function core/tests/Drupal/Tests/Core/Routing/RedirectDestinationTest.php
RedirectDestinationTest::testGet function core/tests/Drupal/Tests/Core/Routing/RedirectDestinationTest.php Tests destination passed via $_GET.
RedirectDestinationTest::testGetAsArray function core/tests/Drupal/Tests/Core/Routing/RedirectDestinationTest.php Tests get as array.
RedirectDestinationTest::testSetAfterGetCall function core/tests/Drupal/Tests/Core/Routing/RedirectDestinationTest.php Tests set after get call.
RedirectDestinationTest::testSetBeforeGetCall function core/tests/Drupal/Tests/Core/Routing/RedirectDestinationTest.php Tests set before get call.
RedirectDestinationTrait::getDestinationArray function core/lib/Drupal/Core/Routing/RedirectDestinationTrait.php Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url.
RedirectDestinationTrait::getRedirectDestination function core/lib/Drupal/Core/Routing/RedirectDestinationTrait.php Returns the redirect destination service.
RedirectLeadingSlashesSubscriber::getSubscribedEvents function core/lib/Drupal/Core/EventSubscriber/RedirectLeadingSlashesSubscriber.php
RedirectResponseSubscriber::getDestinationAsAbsoluteUrl function core/lib/Drupal/Core/EventSubscriber/RedirectResponseSubscriber.php Converts the passed in destination into an absolute URL.
RedirectResponseSubscriber::getSubscribedEvents function core/lib/Drupal/Core/EventSubscriber/RedirectResponseSubscriber.php Registers the methods in this class that should be listeners.
RedundantEditableConfigNamesTrait::getEditableConfigNames function core/lib/Drupal/Core/Form/RedundantEditableConfigNamesTrait.php
ReferenceBase::getEntityTypeMigrationId function core/modules/migrate_drupal/src/Plugin/migrate/field/ReferenceBase.php Gets the plugin ID for the reference type migration.
ReferenceBase::getFieldWidgetMap function core/modules/migrate_drupal/src/Plugin/migrate/field/ReferenceBase.php Get a map between D6 and D8 widgets for this field type.
RefinableDependentAccessTrait::getAccessDependency function core/lib/Drupal/Core/Access/RefinableDependentAccessTrait.php
Reflection::getParameterClassName function core/lib/Drupal/Component/Utility/Reflection.php Gets the parameter's class name.
ReflectionFactory::getInstanceArguments function core/lib/Drupal/Component/Plugin/Factory/ReflectionFactory.php Inspects the plugin class and builds a list of constructor arguments.
ReflectionFactoryTest::providerGetInstanceArguments function core/tests/Drupal/Tests/Component/Plugin/Factory/ReflectionFactoryTest.php Data provider for testGetInstanceArguments.
ReflectionFactoryTest::testGetInstanceArguments function core/tests/Drupal/Tests/Component/Plugin/Factory/ReflectionFactoryTest.php Tests get instance arguments.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.